Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeentitynodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeentitynodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for an Entity Node

returns the constant value 6.

Retrieve the first Entity declaration in the "DOCTYPE"

section of the XML file and invoke the "getNodeType()"

method. The method should return 6.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 51 of file nodeentitynodetype.java.

## Constructor & Destructor Documentation

nodeentitynodetype::nodeentitynodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodeentitynodetype.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodeentitynodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file nodeentitynodetype.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeentitynodetype";
    00075    }

void nodeentitynodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file nodeentitynodetype.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(nodeentitynodetype.class,args);
    00078    }

void nodeentitynodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodeentitynodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       DocumentType docType1;
    00062       NamedNodeMap testName;
    00063       Node entityNode;
    00064       int nodeType;
    00065       doc = load("staff");
    00066       docType1 = doc.getDoctype();
    00067       testName = docType1.getEntities();
    00068       entityNode = testName.getNamedItem("ent1");
    00069       nodeType = (int)entityNode.getNodeType();
    00070       assertEquals("nodeEntityNodeTypeAssert1",6,nodeType);
    00071
    00072    }

The documentation for this class was generated from the following file:

- nodeentitynodetype.java